.ul-social
{
position: absolute;
left: 40%;
transform: translate(-50%, -50%);
margin: 0;
padding: 0;
display: flex;
}
.ul-social li
{
  list-style: none;
  margin: 0 10px;
}
.ul-social li .fa
{
font-size: 20px;
color: #262626;
line-height: 30px;
transition: .5s;
}
.ul-social li a
{
position: relative;
display: block;
width: 30px;
height: 30px;
background-color: #fff;
text-align: center;
transform: perspective(100px) rotate(-30deg) skew(25deg) translate(0,0);
transition: .5s;
box-shadow: -20px 20px 10px rgb(0, 0, 0, 0.5);
}
.ul-social li a::before
{
content: "";
position: absolute;
top: 10px;
left: -20px;
height: 100%;
width: 20px;
background: #b1b1b1;
transition: .5s;
transform: rotate(0deg) skewY(-45deg);
}
.ul-social li a::after
{
content: "";
position: absolute;
top: 80px;
left: -11px;
height: 20px;
width: 0%;
background: #b1b1b1;
transition: .5s;
transform: rotate(0deg) skewX(-45deg);
}
.ul-social li a:hover{
transform: perspective(1000px) rotate(-30deg) skew(25deg) translate(20px, -20px);
box-shadow: -50px 50px 50px rgb(0, 0, 0, 0.5);
}
.ul-social li:hover .fa{
color: #fff;
}
.ul-social li a:hover{
transform: perspective(1000px) rotate(-30deg) skew(25deg) translate(20px, -20px);
box-shadow: -50px 50px 50px rgb(0, 0, 0, 0.5);
}
.ul-social li:hover:nth-child(1) a{
background: #3b5999;
}

.ul-social li:hover:nth-child(1) a:before{
background: #2e4a86;
}
.ul-social li:hover:nth-child(1) a:after{
background: #4a69ad;
}
.ul-social li:hover:nth-child(2) a{
background: #55acee;
}
.ul-social li:hover:nth-child(2) a:before{
background: #4184b7;
}
.ul-social li:hover:nth-child(2) a:after{
background: #4d9fde;
}
.ul-social li:hover:nth-child(3) a{
background: #dd4b39;
}

.ul-social li:hover:nth-child(3) a:before{
background: #c13929;
}
.ul-social li:hover:nth-child(3) a:after{
background: #e83322;
}

.ul-social li:hover:nth-child(4) a{
background: #0077B5;
}

.ul-social li:hover:nth-child(4) a:before{
background: #036aa0;
}
.ul-social li:hover:nth-child(4) a:after{
background: #0d82bf;
}

.ul-social li:hover:nth-child(5) a{
background: black;
}

.ul-social li:hover:nth-child(5) a:before{
background: black;
}
.ul-social li:hover:nth-child(5) a:after{
background: black;
}